%define srcname	ConfigArgParse
%define module	configargparse

Name:		python-%{module}
Version:	1.7
Release:	%mkrel 4
Summary:	A Python module with support for argparse, config files, and env variables
Group:		Development/Python
License:	MIT
URL:		https://github.com/bw2/ConfigArgParse
Source0:	%{pypi_source}
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%package -n	python3-%{module}
Summary:	A Python 3 module with support for argparse, config files, and env variables
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.7-4.mga10
+ Revision: 2236719
- Mageia 10 Mass Rebuild

* Mon Feb 24 2025 wally <wally> 1.7-3.mga10
+ Revision: 2151812
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 1.7-2.mga10
+ Revision: 2016174
- rebuild for py3.12
- use %%pyproject_buildrequires

* Thu Aug 31 2023 daviddavid <daviddavid> 1.7-1.mga10
+ Revision: 1982632
- new version: 1.7
- switch to pyproject

* Wed Aug 30 2023 daviddavid <daviddavid> 1.5.5-1.mga10
+ Revision: 1981681
- new version: 1.5.5

* Wed Aug 24 2022 papoteur <papoteur> 1.5.3-1.mga9
+ Revision: 1880031
- new 1.5.3

* Wed Mar 23 2022 umeabot <umeabot> 1.5.2-3.mga9
+ Revision: 1822977
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.5.2-2.mga9
+ Revision: 1778488
- Rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 1.5.2-1.mga9
+ Revision: 1743102
- new version 1.5.2

* Wed Mar 17 2021 daviddavid <daviddavid> 1.4-1.mga9
+ Revision: 1704022
- new version: 1.4
- rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 1.3-1.mga9
+ Revision: 1691752
- new version: 1.3

* Fri May 01 2020 daviddavid <daviddavid> 1.2.3-1.mga8
+ Revision: 1577368
- new version: 1.2.3

* Sun Apr 26 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1572188
- new version: 1.2.2

* Sun Apr 12 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1566591
- new version: 1.2.1

* Sat Apr 04 2020 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1564245
- new version: 1.2

* Tue Mar 17 2020 daviddavid <daviddavid> 1.1-1.mga8
+ Revision: 1557169
- new version: 1.1

* Tue Feb 18 2020 umeabot <umeabot> 0.15.2-2.mga8
+ Revision: 1540759
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 daviddavid <daviddavid> 0.15.2-1.mga8
+ Revision: 1468158
- new version: 0.15.2

* Sat Oct 12 2019 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1452012
- new version: 0.15.1

* Sun Sep 15 2019 daviddavid <daviddavid> 0.14.0-2.mga8
+ Revision: 1441203
- rebuild for python3.8
- drop python2 support

* Tue Jan 22 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1359446
- new version: 0.14.0

* Mon Jan 07 2019 kekepower <kekepower> 0.13.0-3.mga7
+ Revision: 1350641
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1288435
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1212321
- new version: 0.13.0

* Wed Jan 10 2018 daviddavid <daviddavid> 0.12.0-1.mga7
+ Revision: 1192128
- new version: 0.12.0
- rename python-configargparse to python2-configargparse

* Sat Aug 05 2017 pterjan <pterjan> 0.11.0-2.mga7
+ Revision: 1135346
- Rebuild for python 3.6

* Tue Jan 03 2017 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1079832
- new version: 0.11.0

* Sun Apr 10 2016 daviddavid <daviddavid> 0.10.0-1.mga6
+ Revision: 1000077
- imported package python-configargparse

